import { BlendFunction } from 'postprocessing';
import { Vector2 } from 'three';
import { BarrelBlurEffect } from './custom/barrel-blur/index';
export interface BarrelBlurPmndrsProps {
    /**
     * The blend function for the effect.
     * Determines how this effect blends with other effects.
     */
    blendFunction?: BlendFunction;
    /**
     * The intensity of the barrel distortion.
     * A value between 0 (no distortion) and 1 (maximum distortion).
     */
    amount?: number;
    /**
     * The offset of the barrel distortion center.
     * A Vector2 value or an A value or an array of two numbers, with both values ranging from 0 to 1.
     * This allows you to change the position of the distortion effect.
     */
    offset?: Vector2 | [number, number];
}
declare const _default: import('vue').DefineComponent<BarrelBlurPmndrsProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<BarrelBlurEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<BarrelBlurPmndrsProps> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
