import { BlendFunction } from 'postprocessing';
import { Vector2 } from 'three';
import { FishEyeEffect } from './custom/fish-eye/index';
export interface FishEyePmndrsProps {
    /**
     * The blend function for the effect.
     * Determines how this effect blends with other effects.
     */
    blendFunction?: BlendFunction;
    /**
     * The lens scale.
     * A Vector2 value or an array of two numbers.
     */
    lensS?: Vector2 | [number, number];
    /**
     * The lens factor.
     * A Vector2 value or an array of two numbers.
     */
    lensF?: Vector2 | [number, number];
    /**
     * The scale of the effect.
     * A number value.
     */
    scale?: number;
}
declare const _default: import('vue').DefineComponent<FishEyePmndrsProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<FishEyeEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<FishEyePmndrsProps> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
