import { BlendFunction } from 'postprocessing';
import { KuwaharaEffect } from './custom/kuwahara/index';
export interface KuwaharaPmndrsProps {
    /**
     * The blend function for the effect.
     * Determines how this effect blends with other effects.
     */
    blendFunction?: BlendFunction;
    /**
     * The intensity of the barrel distortion.
     * A value between 0 (no distortion) and 1 (maximum distortion).
     */
    radius?: number;
    /**
     * The number of sectors.
     * Determines the number of angular divisions used in the Kuwahara filter.
     * Higher values can improve the quality of the effect but may reduce performance.
     * The maximum value is defined by MAX_SECTOR_COUNT = 8 in the kuwahara/index.ts file.
     * It is preferable that the value is an integer.
     */
    sectorCount?: number;
}
declare const _default: import('vue').DefineComponent<KuwaharaPmndrsProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<KuwaharaEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<KuwaharaPmndrsProps> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
