import { BlendFunction, KernelSize, TiltShiftEffect } from 'postprocessing';
export interface TiltShiftPmndrsProps {
    /**
     * The blend function. Defines how the effect blends with the original scene.
     */
    blendFunction?: BlendFunction;
    /**
     * The relative offset of the focus area.
     * Range: [-0.5, 0.5]
     */
    offset?: number;
    /**
     * The rotation of the focus area in radians.
     * Range: [-π, π]
     */
    rotation?: number;
    /**
     * The relative size of the focus area.
     * Range: [0, 1]
     */
    focusArea?: number;
    /**
     * The softness of the focus area edges.
     * Range: [0, 1]
     */
    feather?: number;
    /**
     * The blur kernel size.
     */
    kernelSize?: KernelSize;
    /**
     * The resolution scale.
     * Range: [0.1, 1]
     */
    resolutionScale?: number;
    /**
     * The horizontal resolution.
     */
    resolutionX?: number;
    /**
     * The vertical resolution.
     */
    resolutionY?: number;
}
declare const _default: import('vue').DefineComponent<TiltShiftPmndrsProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<TiltShiftEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<TiltShiftPmndrsProps> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
