import { Vector2 } from 'three';
import { BlendFunction, Effect } from 'postprocessing';
/**
 * FishEyeEffect - A custom effect for applying a fish-eye distortion
 */
export declare class FishEyeEffect extends Effect {
    /**
     * Creates a new FishEyeEffect instance.
     *
     * @param {object} [options] - Configuration options for the effect.
     * @param {BlendFunction} [options.blendFunction] - Blend mode.
     * @param {Vector2} [options.lensS] - Lens scale.
     * @param {Vector2} [options.lensF] - Lens factor.
     * @param {number} [options.scale] - Scale.
     *
     */
    constructor({ blendFunction, lensS, lensF, scale }?: {
        blendFunction?: BlendFunction | undefined;
        lensS?: Vector2 | undefined;
        lensF?: Vector2 | undefined;
        scale?: number | undefined;
    });
    /**
     * The lensS.
     *
     * @type {Vector2}
     */
    get lensS(): any;
    set lensS(value: any);
    /**
     * The lensF.
     *
     * @type {Vector2}
     */
    get lensF(): any;
    set lensF(value: any);
    /**
     * The scale.
     *
     * @type {number}
     */
    get scale(): any;
    set scale(value: any);
}
