import { BlendFunction, Effect } from 'postprocessing';
export declare class KuwaharaEffect extends Effect {
    /**
     * Creates a new KuwaharaEffect instance.
     *
     * @param {object} [options] - Configuration options for the effect.
     * @param {BlendFunction} [options.blendFunction] - Blend mode.
     * @param {number} [options.radius] - Intensity of the effect.
     * @param {number} [options.sectorCount] - Number of sectors.
     *
     */
    constructor({ blendFunction, radius, sectorCount }?: {
        blendFunction?: BlendFunction | undefined;
        radius?: number | undefined;
        sectorCount?: number | undefined;
    });
    /**
     * The radius.
     *
     * @type {number}
     */
    get radius(): any;
    set radius(value: any);
    /**
     * The sector count.
     *
     * @type {number}
     */
    get sectorCount(): any;
    set sectorCount(value: any);
}
